import 'package:flutter/material.dart';

class CustomHeader extends StatelessWidget {
  const CustomHeader({super.key});

  static const double _uniformGap = 16.0;

  @override
  Widget build(BuildContext context) {
    return Container(
        height: 60.0,
        color: Theme.of(context).scaffoldBackgroundColor,
        padding: const EdgeInsets.symmetric(horizontal: _uniformGap),
        child: Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              Row(children: [
                Icon(Icons.settings_input_component, color: Colors.grey[400]),
                const SizedBox(width: 12),
                const Text('SMART HELMET SYSTEMS',
                    style: TextStyle(
                        fontSize: 15,
                        fontWeight: FontWeight.bold,
                        color: Colors.white))
              ]),
              Text('2025/09/26 - 10:44 AM',
                  style: TextStyle(color: Colors.grey[400], fontSize: 11))
            ]));
  }
}